Subject: bug#71709: closed (Re: bug#71709: Fix recent change in tramp-sh-handle-make-process)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Jun 2024 17:56:02 +0000

Your bug report

#71709: Fix recent change in tramp-sh-handle-make-process

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71709: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71709
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71709: Fix recent change in tramp-sh-handle-make-process
From: Michael Albinus <[email-masked]>
To: Iurie Marian <[email-masked]>
Cc: [email-masked]
Date: Sat, 22 Jun 2024 19:54:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

Iurie Marian <[email-masked]> writes:

Hi Iurie,

> Alright, yes last time I've only applied the patch in *.el file and
> evaluated the buffer :D
>
> I've recompiled from scratch and it works as expected! :)

Thanks for the feedback, so we've got it. Thanks also for your
testing. I've pushed the patch to the repositories, closing the bug.

> Many thanks!
> Iurie

Best regards, Michael.

Subject: Fix recent change in tramp-sh-handle-make-process
From: Iurie Marian <[email-masked]>
To: [email-masked]
Date: Fri, 21 Jun 2024 20:12:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

tramp-sh-handle-make-process is failing when `:stderr' argument is used.

In GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.41, cairo version 1.18.0) of 2024-06-21 built on rrouwprlc0222
Repository revision: e7123edfe7f7abc9043429dfb3f84941f83d6565
Repository branch: master
System Description: Ubuntu 24.04 LTS
diff --git a/lisp/net/tramp-sh.el b/lisp/net/tramp-sh.el
index bce7c323dad..68018298b68 100644
--- a/lisp/net/tramp-sh.el
+++ b/lisp/net/tramp-sh.el
@@ -2969,6 +2969,7 @@ tramp-sh-handle-make-process
       (let* ((program (car command))
 	     (args (cdr command))
 	     ;; STDERR can also be a file name.
+             (stderr (plist-get args :stderr))
 	     (tmpstderr
 	      (and stderr
 		   (tramp-unquote-file-local-name